package com.logicbig.example;

import java.util.ArrayList;
import java.util.List;

public class DataService {
    private List<Item> itemList = new ArrayList<>();

    private static DataService ourInstance = new DataService();

    public static DataService getInstance() {
        return ourInstance;
    }

    public void createItem(Item item, String sku) {
        Item itemToStore = new Item(sku);
        //todo: validate
        itemToStore.setPrice(item.getPrice());
        itemToStore.setName(item.getName());
        itemList.add(itemToStore);
    }

    public boolean itemExists(String sku) {
        for (Item item : itemList) {
            if (item.getSku().equals(sku)) {
                return true;
            }
        }
        return false;
    }


    public List<Item> getItemList() {
        return itemList;
    }

    public Item getItemBySku(String sku) {
        for (Item item : itemList) {
            if (item.getSku().equals(sku)) {
                return item;
            }
        }

        return null;
    }
}